local expo, img = {}
function loadExplosions()
	require("anal")
	love.graphics.setBackgroundColor(140, 189, 243)
	if not love.filesystem.exists("expo.png") then
		local http = require("socket.http")
		local b, c, h = http.request("http://love2d.org/w/images/e/e3/Resource-AnalExplosion.png")
		love.filesystem.write("expo.png", b)
	end
	img = love.graphics.newImage("expo.png")
	if not love.filesystem.exists("expo.mp3") then
		local http = require("socket.http")
		local b, c, h = http.request("http://soundbible.com/force-sounds.php?id=mp3/Depth%20Charge%20Shorter-SoundBible.com-1978501900.mp3&clip=mp3")
		love.filesystem.write("expo.mp3", b)
	end
	sound = love.audio.newSource("expo.mp3", "static")
end
function drawExplosions()
	for k, v in ipairs(expo) do v.anim:draw(v.x - 48, v.y - 48)
		if v.anim:getCurrentFrame() == 15 then table.remove(expo, k) end
	end
end
function updateExplosions(dt)
	for k, v in ipairs(expo) do v.anim:update(dt) end
end
function newExplosion(x,y)
	love.audio.newSource("expo.mp3", "stream"):play()
	local num = #expo+1
	expo[num] = {}
	expo[num].anim = newAnimation(img, 96, 96, 0.1, 0)
	expo[num].x = x
	expo[num].y = y
end
